Subject: Re: [PATCH 3/3] ipmr_free_table() should be called under taken rtnl_lock

From: Vasily Averin <[email-masked]>
Date: Wed, 08 Jul 2015 14:46:34 +0300

On 08.07.2015 13:29, Vasily Averin wrote:
> On 07.07.2015 20:53, Vasily Averin wrote:
>> On 07.07.2015 20:30, Cong Wang wrote:
>>> On Tue, Jul 7, 2015 at 10:25 AM, Vasily Averin <[email-masked]> wrote:
>>>> On 07.07.2015 20:13, Cong Wang wrote:
>>>>> On Tue, Jul 7, 2015 at 8:53 AM, Vasily Averin <[email-masked]> wrote:
>>>>>> ipmr_free_table() calls unregister_netdevice_many() inside
>>>>>> and changes net_todo_list protected by rtnl_lock
>>>>>
>>>>> Did you see any real bug?
>>>>
>>>> No, it was result of manual code review.
>>>>
>>>>> ipmr_free_table() is called in failure path, in this case there is no
>>>>> device registered yet, so unregister should be just a nop?
>>>>
>>>> However may be it's better to mark this place for future anyway?
>>>
>>> Then add a comment there. ;)
>>
>> As you can see I'm not familiar with this code,
>> so I would like to ask you to do it. :)
> 
> Seems I've found a better idea:
> to add ASSERT_RTNL() into unregister_netdevice_many()

It was done already,
there is ASSERT_RTNL() in rollback_registered_many() called from unregister_netdevice_many().

Please drop this patch, seems it isn't required.